- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes

# ObjectDescriptionData Class Reference

Search for all occurrences

## Detailed Description

Data class for objects describing devices or features of the backend.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  BackendCapabilities

Definition at line 96 of file objectdescription.h.

`#include <Phonon/ObjectDescription>`

Inheritance diagram for ObjectDescriptionData:
[legend]

List of all members.

## Public Member Functions
bool | operator== (const ObjectDescriptionData &otherDescription) const
| Returns `true` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `false`.
QString | name () const
| Returns the name of the capture source.
QString | description () const
| Returns a description of the capture source.
QVariant | property (const char *name) const
| Returns a named property.
QList< QByteArray > | propertyNames () const
| Returns all names that return valid data when property() is called.
bool | isValid () const
| Returns `true` if the Tuple is valid (index != -1); otherwise returns `false`.
int | index () const
| A unique identifier for this device/.
| ~ObjectDescriptionData ()
| ObjectDescriptionData (ObjectDescriptionPrivate *=0)
| ObjectDescriptionData (int index, const QHash< QByteArray, QVariant > &properties)
## Static Public Member Functions
static ObjectDescriptionData * | fromIndex (ObjectDescriptionType type, int index)
## Protected Attributes
ObjectDescriptionPrivate *const | d

## Constructor & Destructor Documentation

~ObjectDescriptionData | ( |  | ) |

ObjectDescriptionData | ( | ObjectDescriptionPrivate * | = `0` | ) |

ObjectDescriptionData | ( | int | index,
|  | const QHash< QByteArray, QVariant > & | properties
| ) |  |

## Member Function Documentation

bool operator== | ( | const ObjectDescriptionData & | otherDescription | ) | const

Returns `true` if this ObjectDescription describes the same as `otherDescription`; otherwise returns `false`.

QString name | ( |  | ) | const

Search for all occurrences

Returns the name of the capture source.

Returns:
  A string that should be presented to the user to choose the capture source.

QString description | ( |  | ) | const

Search for all occurrences

Returns a description of the capture source.

This text should make clear what sound source this is, which is sometimes hard to describe or understand from just the name.

Returns:
  A string describing the capture source.

QVariant property | ( | const char * | name | ) | const

Search for all occurrences

Returns a named property.

If the property is not set an invalid value is returned.

See also:
  propertyNames()

QList<QByteArray> propertyNames | ( |  | ) | const

Search for all occurrences

Returns all names that return valid data when property() is called.

See also:
  property()

bool isValid | ( |  | ) | const

Search for all occurrences

Returns `true` if the Tuple is valid (index != -1); otherwise returns `false`.

int index | ( |  | ) | const

Search for all occurrences

A unique identifier for this device/.

Used internally to distinguish between the devices/.

Returns:
  An integer that uniquely identifies every device/

static ObjectDescriptionData* fromIndex | ( | ObjectDescriptionType | type,
|  | int | index
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

ObjectDescriptionPrivate* const d `[protected]`

Search for all occurrences

Definition at line 160 of file objectdescription.h.

The documentation for this class was generated from the following file:

- phonon/objectdescription.h

ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData
ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData ObjectDescriptionData